Межсайтовый скриптинг в OpenNMS

Дата публикации:
30.09.2008
Дата изменения:
30.09.2008
Всего просмотров:
1868
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
OpenNMS 1.x
Уязвимые версии: OpenNMS версии до 1.5.94

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "j_username" в сценарии j_acegi_security_check, в параметре "username" в сценарии notification/list.jsp и в параметре "filter" в event/list. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.opennms.org

Решение: Установите последнюю версию 1.5.94 с сайта производителя.

Ссылки: http://www.opennms.org/documentation/ReleaseNotesUnStable.html#d788e257
http://bugzilla.opennms.org/show_bug.cgi?id=2631
http://bugzilla.opennms.org/show_bug.cgi?id=2633
http://bugzilla.opennms.org/show_bug.cgi?id=2634

или введите имя

CAPTCHA